New: getTransactionsForAddress - Query transaction history with advanced filtering, sorting, and pagination. Learn More
English
Return the signatures of the transactions that closed or opened a compressed account with the given hash.
cURL
curl --request POST \ --url 'https://mainnet.helius-rpc.com/?api-key=' \ --header 'Content-Type: application/json' \ --data ' { "jsonrpc": "2.0", "id": "1", "method": "getCompressionSignaturesForAccount", "params": { "hash": "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP" } } '
{ "context": { "slot": 100 }, "value": { "items": [ { "blockTime": 1714081554, "signature": "5J8H5sTvEhnGcB4R8K1n7mfoiWUD9RzPVGES7e3WxC7c", "slot": 100 } ] } }
Your Helius API key. You can get one for free in the dashboard.
The version of the JSON-RPC protocol.
2.0
An ID to identify the request.
The name of the method to invoke.
getCompressionSignaturesForAccount
Show child attributes
A 32-byte hash represented as a base58 string.
"11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP"
Successfully retrieved compression signatures for the specified account from the Solana blockchain
100
An Unix timestamp (seconds)
1714081554
A Solana transaction signature.
"5J8H5sTvEhnGcB4R8K1n7mfoiWUD9RzPVGES7e3WxC7c"
Was this page helpful?